summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPaul Spooren2024-06-10 14:59:41 +0000
committerPaul Spooren2024-06-12 09:12:13 +0000
commit213bd273edade89e2da471083eb9329c0e9c62f2 (patch)
tree39c531c8c9aed2644f5eb35d1cdf83b0f17730f2
parentb2a84c86e3a2bd399761055f84a81e2aebe436e2 (diff)
downloadopenwrt-213bd273edade89e2da471083eb9329c0e9c62f2.tar.gz
base-files: Reapply fixed "Ignore exit code of uci.sh inclusion"
This reverts commit 80d1c353b79e6c216dcb2534420470e3e6ed5d60 with the fix which won't break running systems. A logic error on how shell handles && and || more the init process. Signed-off-by: Paul Spooren <mail@aparcar.org>
-rw-r--r--package/base-files/files/lib/functions.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/package/base-files/files/lib/functions.sh b/package/base-files/files/lib/functions.sh
index a009aa81e9..e944d36505 100644
--- a/package/base-files/files/lib/functions.sh
+++ b/package/base-files/files/lib/functions.sh
@@ -533,4 +533,4 @@ cmdline_get_var() {
done
}
-[ -z "$IPKG_INSTROOT" ] && [ -f /lib/config/uci.sh ] && . /lib/config/uci.sh
+[ -z "$IPKG_INSTROOT" ] && [ -f /lib/config/uci.sh ] && . /lib/config/uci.sh || true